package org.jeecg.modules.database.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.database.entity.ExperimentSampleInfo;
import org.jeecg.modules.database.mapper.ExperimentSampleInfoMapper;
import org.jeecg.modules.database.service.IExperimentSampleInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 试验样品信息
 * @Author: jeecg-boot
 * @Date: 2024-12-04
 * @Version: V1.0
 */
@Service
public class ExperimentSampleInfoServiceImpl extends ServiceImpl<ExperimentSampleInfoMapper, ExperimentSampleInfo>
        implements IExperimentSampleInfoService {

    @Override
    public List<ExperimentSampleInfo> getByExperimentId(String experimentId) {
        return list(new LambdaQueryWrapper<ExperimentSampleInfo>().eq(ExperimentSampleInfo::getExperimentId, experimentId));
    }

    @Override
    public List<ExperimentSampleInfo> listSampleModel() {
        return baseMapper.listSampleModel();
    }

    @Override
    public List<ExperimentSampleInfo> listSampleBatch() {
        return baseMapper.listSampleBatch();
    }

    @Override
    public List<ExperimentSampleInfo> listSampleName() {
        return baseMapper.listSampleName();
    }
}
